<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [Session](./sip.js.session.md)

## Session interface

Session.

<b>Signature:</b>

```typescript
export interface Session 
```

## Remarks

https://tools.ietf.org/html/rfc3261\#section-13

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [answer](./sip.js.session.answer.md) |  | [Body](./sip.js.body.md) \| undefined | The current answer if signalingState is stable. Otherwise undefined. |
|  [callId](./sip.js.session.callid.md) |  | string | Call Id. |
|  [delegate](./sip.js.session.delegate.md) |  | [SessionDelegate](./sip.js.sessiondelegate.md) \| undefined | Session delegate. |
|  [id](./sip.js.session.id.md) |  | string | The session id. Equal to callId + localTag + remoteTag. |
|  [localTag](./sip.js.session.localtag.md) |  | string | Local Tag. |
|  [localURI](./sip.js.session.localuri.md) |  | [URI](./sip.js.uri.md) | Local URI. |
|  [offer](./sip.js.session.offer.md) |  | [Body](./sip.js.body.md) \| undefined | The current offer if signalingState is not initial or closed. Otherwise undefined. |
|  [remoteTag](./sip.js.session.remotetag.md) |  | string | Remote Tag. |
|  [remoteTarget](./sip.js.session.remotetarget.md) |  | [URI](./sip.js.uri.md) | Remote Target. |
|  [remoteURI](./sip.js.session.remoteuri.md) |  | [URI](./sip.js.uri.md) | Remote URI. |
|  [sessionState](./sip.js.session.sessionstate.md) |  | [SessionState](./sip.js.sessionstate.md) | Session state. |
|  [signalingState](./sip.js.session.signalingstate.md) |  | [SignalingState](./sip.js.signalingstate.md) | Current state of the offer/answer exchange. |

## Methods

|  Method | Description |
|  --- | --- |
|  [bye(delegate, options)](./sip.js.session.bye.md) | Send a BYE request. Terminating a session. https://tools.ietf.org/html/rfc3261\#section-15 |
|  [dispose()](./sip.js.session.dispose.md) | Destroy session. |
|  [info(delegate, options)](./sip.js.session.info.md) | Send an INFO request. Exchange information during a session. https://tools.ietf.org/html/rfc6086\#section-4.2.1 |
|  [invite(delegate, options)](./sip.js.session.invite.md) | Send re-INVITE request. Modifying a session. https://tools.ietf.org/html/rfc3261\#section-14.1 |
|  [message(delegate, options)](./sip.js.session.message.md) | Send MESSAGE request. Deliver a message during a session. https://tools.ietf.org/html/rfc3428\#section-4 |
|  [notify(delegate, options)](./sip.js.session.notify.md) | Send NOTIFY request. Inform referrer of transfer progress. The use of this is limited to the implicit creation of subscription by REFER (historical). Otherwise, notifiers MUST NOT create subscriptions except upon receipt of a SUBSCRIBE request. https://tools.ietf.org/html/rfc3515\#section-3.7 |
|  [prack(delegate, options)](./sip.js.session.prack.md) | Send PRACK request. Acknowledge a reliable provisional response. https://tools.ietf.org/html/rfc3262\#section-4 |
|  [refer(delegate, options)](./sip.js.session.refer.md) | Send REFER request. Transfer a session. https://tools.ietf.org/html/rfc3515\#section-2.4.1 |

