<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [UserAgentServer](./sip.js.useragentserver.md)

## UserAgentServer class

User Agent Server (UAS).

<b>Signature:</b>

```typescript
export declare class UserAgentServer implements IncomingRequest 
```
<b>Implements:</b> [IncomingRequest](./sip.js.incomingrequest.md)

## Remarks

A user agent server is a logical entity that generates a response to a SIP request. The response accepts, rejects, or redirects the request. This role lasts only for the duration of that transaction. In other words, if a piece of software responds to a request, it acts as a UAS for the duration of that transaction. If it generates a request later, it assumes the role of a user agent client for the processing of that transaction. https://tools.ietf.org/html/rfc3261\#section-6

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(transactionConstructor, core, message, delegate)](./sip.js.useragentserver._constructor_.md) |  | Constructs a new instance of the <code>UserAgentServer</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [acceptable](./sip.js.useragentserver.acceptable.md) |  | boolean |  |
|  [core](./sip.js.useragentserver.core.md) |  | [UserAgentCore](./sip.js.useragentcore.md) |  |
|  [delegate](./sip.js.useragentserver.delegate.md) |  | [IncomingRequestDelegate](./sip.js.incomingrequestdelegate.md) \| undefined |  |
|  [logger](./sip.js.useragentserver.logger.md) |  | [Logger](./sip.js.logger.md) |  |
|  [loggerFactory](./sip.js.useragentserver.loggerfactory.md) |  | [LoggerFactory](./sip.js.loggerfactory.md) |  |
|  [message](./sip.js.useragentserver.message.md) |  | [IncomingRequestMessage](./sip.js.incomingrequestmessage.md) |  |
|  [progressable](./sip.js.useragentserver.progressable.md) |  | boolean |  |
|  [redirectable](./sip.js.useragentserver.redirectable.md) |  | boolean |  |
|  [rejectable](./sip.js.useragentserver.rejectable.md) |  | boolean |  |
|  [toTag](./sip.js.useragentserver.totag.md) |  | string |  |
|  [transaction](./sip.js.useragentserver.transaction.md) |  | [ServerTransaction](./sip.js.servertransaction.md) | The transaction associated with this request. |
|  [tryingable](./sip.js.useragentserver.tryingable.md) |  | boolean |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [accept(options)](./sip.js.useragentserver.accept.md) |  |  |
|  [dispose()](./sip.js.useragentserver.dispose.md) |  |  |
|  [progress(options)](./sip.js.useragentserver.progress.md) |  |  |
|  [receiveCancel(message)](./sip.js.useragentserver.receivecancel.md) |  | If the UAS did not find a matching transaction for the CANCEL according to the procedure above, it SHOULD respond to the CANCEL with a 481 (Call Leg/Transaction Does Not Exist). If the transaction for the original request still exists, the behavior of the UAS on receiving a CANCEL request depends on whether it has already sent a final response for the original request. If it has, the CANCEL request has no effect on the processing of the original request, no effect on any session state, and no effect on the responses generated for the original request. If the UAS has not issued a final response for the original request, its behavior depends on the method of the original request. If the original request was an INVITE, the UAS SHOULD immediately respond to the INVITE with a 487 (Request Terminated). A CANCEL request has no impact on the processing of transactions with any other method defined in this specification. https://tools.ietf.org/html/rfc3261\#section-9.2 |
|  [redirect(contacts, options)](./sip.js.useragentserver.redirect.md) |  |  |
|  [reject(options)](./sip.js.useragentserver.reject.md) |  |  |
|  [trying(options)](./sip.js.useragentserver.trying.md) |  |  |

