<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [PeerConnectionDelegate](./sip.js.peerconnectiondelegate.md)

## PeerConnectionDelegate interface

Delegate to handle PeerConnection state changes.

<b>Signature:</b>

```typescript
export interface PeerConnectionDelegate 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [onconnectionstatechange(event)](./sip.js.peerconnectiondelegate.onconnectionstatechange.md) | This happens whenever the aggregate state of the connection changes. The aggregate state is a combination of the states of all of the individual network transports being used by the connection. |
|  [ondatachannel(event)](./sip.js.peerconnectiondelegate.ondatachannel.md) | Triggered when an RTCDataChannel is added to the connection by the remote peer calling createDataChannel(). |
|  [onicecandidate(event)](./sip.js.peerconnectiondelegate.onicecandidate.md) | Triggered when a new ICE candidate has been found. |
|  [onicecandidateerror(event)](./sip.js.peerconnectiondelegate.onicecandidateerror.md) | Triggered when an error occurred during ICE candidate gathering. |
|  [oniceconnectionstatechange(event)](./sip.js.peerconnectiondelegate.oniceconnectionstatechange.md) | This happens whenever the local ICE agent needs to deliver a message to the other peer through the signaling server. This lets the ICE agent perform negotiation with the remote peer without the browser itself needing to know any specifics about the technology being used for signalingTriggered when the IceConnectionState changes. |
|  [onicegatheringstatechange(event)](./sip.js.peerconnectiondelegate.onicegatheringstatechange.md) | Triggered when the ICE gathering state changes. |
|  [onnegotiationneeded(event)](./sip.js.peerconnectiondelegate.onnegotiationneeded.md) | Triggered when renegotiation is necessary. |
|  [onsignalingstatechange(event)](./sip.js.peerconnectiondelegate.onsignalingstatechange.md) | Triggered when the SignalingState changes. |
|  [ontrack(event)](./sip.js.peerconnectiondelegate.ontrack.md) | Triggered when a new track is signaled by the remote peer, as a result of setRemoteDescription. |

