<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [SessionDescriptionHandler](./sip.js.sessiondescriptionhandler.md) &gt; [peerConnectionDelegate](./sip.js.sessiondescriptionhandler.peerconnectiondelegate.md)

## SessionDescriptionHandler.peerConnectionDelegate property

A delegate which provides access to the peer connection event handlers.

<b>Signature:</b>

```typescript
get peerConnectionDelegate(): PeerConnectionDelegate | undefined;

set peerConnectionDelegate(delegate: PeerConnectionDelegate | undefined);
```

## Remarks

Use the peerConnectionDelegate to get access to the events associated with the RTCPeerConnection. For example...

Do NOT do this...

```ts
peerConnection.onicecandidate = (event) => {
  // do something
};
```
Instead, do this...

```
peerConnection.peerConnectionDelegate = {
  onicecandidate: (event) => {
    // do something
  }
};
```
Setting the peer connection event handlers directly is not supported and may break this class. As this class depends on exclusive access to them. This delegate is intended to provide access to the RTCPeerConnection events in a fashion which is supported.

