<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [SessionManager](./sip.js.sessionmanager.md)

## SessionManager class

A session manager for SIP.js sessions.

<b>Signature:</b>

```typescript
export declare class SessionManager 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(server, options)](./sip.js.sessionmanager._constructor_.md) |  | Constructs a new instance of the <code>SessionManager</code> class. |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [delegate](./sip.js.sessionmanager.delegate.md) |  | [SessionManagerDelegate](./sip.js.sessionmanagerdelegate.md) \| undefined | Delegate. |
|  [managedSessions](./sip.js.sessionmanager.managedsessions.md) |  | Array&lt;[ManagedSession](./sip.js.managedsession.md)<!-- -->&gt; | Sessions being managed. |
|  [userAgent](./sip.js.sessionmanager.useragent.md) |  | UserAgent | User agent which created sessions being managed. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [answer(session, invitationAcceptOptions)](./sip.js.sessionmanager.answer.md) |  | Answer an incoming call. |
|  [call(destination, inviterOptions, inviterInviteOptions)](./sip.js.sessionmanager.call.md) |  | Make an outgoing call. |
|  [connect()](./sip.js.sessionmanager.connect.md) |  | Connect. |
|  [decline(session)](./sip.js.sessionmanager.decline.md) |  | Decline an incoming call. |
|  [disconnect()](./sip.js.sessionmanager.disconnect.md) |  | Disconnect. |
|  [getLocalAudioTrack(session)](./sip.js.sessionmanager.getlocalaudiotrack.md) |  | The local audio track, if available. |
|  [getLocalMediaStream(session)](./sip.js.sessionmanager.getlocalmediastream.md) |  | The local media stream. Undefined if call not answered. |
|  [getLocalVideoTrack(session)](./sip.js.sessionmanager.getlocalvideotrack.md) |  | The local video track, if available. |
|  [getRemoteAudioTrack(session)](./sip.js.sessionmanager.getremoteaudiotrack.md) |  | The remote audio track, if available. |
|  [getRemoteMediaStream(session)](./sip.js.sessionmanager.getremotemediastream.md) |  | The remote media stream. Undefined if call not answered. |
|  [getRemoteVideoTrack(session)](./sip.js.sessionmanager.getremotevideotrack.md) |  | The remote video track, if available. |
|  [hangup(session)](./sip.js.sessionmanager.hangup.md) |  | Hangup a call. |
|  [hold(session)](./sip.js.sessionmanager.hold.md) |  | Hold call |
|  [isConnected()](./sip.js.sessionmanager.isconnected.md) |  | Return true if transport is connected. |
|  [isHeld(session)](./sip.js.sessionmanager.isheld.md) |  | Hold state. |
|  [isMuted(session)](./sip.js.sessionmanager.ismuted.md) |  | Mute state. |
|  [message(destination, message)](./sip.js.sessionmanager.message.md) |  | Send a message. |
|  [mute(session)](./sip.js.sessionmanager.mute.md) |  | Mute call. |
|  [register(registererRegisterOptions)](./sip.js.sessionmanager.register.md) |  | Start receiving incoming calls. |
|  [sendDTMF(session, tone)](./sip.js.sessionmanager.senddtmf.md) |  | Send DTMF. |
|  [transfer(session, target, options)](./sip.js.sessionmanager.transfer.md) |  | Transfer. |
|  [unhold(session)](./sip.js.sessionmanager.unhold.md) |  | Unhold call. |
|  [unmute(session)](./sip.js.sessionmanager.unmute.md) |  | Unmute call. |
|  [unregister(registererUnregisterOptions)](./sip.js.sessionmanager.unregister.md) |  | Stop receiving incoming calls. |

