<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [SessionManagerOptions](./sip.js.sessionmanageroptions.md)

## SessionManagerOptions interface

Options for [SessionManager](./sip.js.sessionmanager.md)<!-- -->.

<b>Signature:</b>

```typescript
export interface SessionManagerOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [aor](./sip.js.sessionmanageroptions.aor.md) |  | string | User's SIP Address of Record (AOR). |
|  [autoStop](./sip.js.sessionmanageroptions.autostop.md) |  | boolean | If <code>true</code>, the user agent calls the <code>stop()</code> method on the window event <code>beforeunload</code>. |
|  [delegate](./sip.js.sessionmanageroptions.delegate.md) |  | [SessionManagerDelegate](./sip.js.sessionmanagerdelegate.md) | Delegate for SessionManager. |
|  [iceStopWaitingOnServerReflexive](./sip.js.sessionmanageroptions.icestopwaitingonserverreflexive.md) |  | boolean | Stop waiting for ICE gathering to complete once a server reflexive address is obtained. |
|  [managedSessionFactory](./sip.js.sessionmanageroptions.managedsessionfactory.md) |  | [ManagedSessionFactory](./sip.js.managedsessionfactory.md) | A factory for generating <code>ManagedSession</code> instances. |
|  [maxSimultaneousSessions](./sip.js.sessionmanageroptions.maxsimultaneoussessions.md) |  | number | Maximum number of simultaneous sessions to manage. |
|  [media](./sip.js.sessionmanageroptions.media.md) |  | [SessionManagerMedia](./sip.js.sessionmanagermedia.md) | Media options. |
|  [reconnectionAttempts](./sip.js.sessionmanageroptions.reconnectionattempts.md) |  | number | Maximum number of times to attempt to reconnection. |
|  [reconnectionDelay](./sip.js.sessionmanageroptions.reconnectiondelay.md) |  | number | Seconds to wait between reconnection attempts. |
|  [registererOptions](./sip.js.sessionmanageroptions.registereroptions.md) |  | RegistererOptions | Options for Registerer. |
|  [registererRegisterOptions](./sip.js.sessionmanageroptions.registererregisteroptions.md) |  | RegistererRegisterOptions | Options for register requests (auto register only). |
|  [registerGuard](./sip.js.sessionmanageroptions.registerguard.md) |  | (() =&gt; Promise&lt;boolean&gt;) \| null | Does nothing if undefined or resolves false. If resolves true, the next regitration attempt will be blocked. |
|  [registrationRetry](./sip.js.sessionmanageroptions.registrationretry.md) |  | boolean | If <code>true</code> then registration attempts will be automatically retried when any registration attempts fail or is otherwise rejected. |
|  [registrationRetryInterval](./sip.js.sessionmanageroptions.registrationretryinterval.md) |  | number | Time to wait before retrying to send a registration reqeust in seconds. |
|  [userAgentOptions](./sip.js.sessionmanageroptions.useragentoptions.md) |  | UserAgentOptions | Options for UserAgent. |

